<template>
  <div class="container py-4">
    <div class="row">
      <div class="col-12">
        <h1 class="main-title">Timetable</h1>
      </div>
      <div class="col-12">
        <v-card card-body-class="py-0">
          <v-nav :menu-items="menuItems"></v-nav>
        </v-card>
        <div>
          <router-view />
        </div>
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
import { RouteNames } from '@/router/route-names';
import VNav from '@/ui/v-nav/VNav.vue';
import VCard from '@/ui/v-card/VCard.vue';
import { useStore } from '@/store';
import { ActionTypes } from '@/store/actions';
import { onMounted } from 'vue';

const store = useStore();

onMounted(() => {
  store.dispatch(ActionTypes.FETCH_STOPS);
});

const menuItems = [
  {
    name: 'Bus Lines',
    route: RouteNames.BUS_LINES,
  },
  {
    name: 'Stops',
    route: RouteNames.BUS_STOPS,
  },
];
</script>

<style scoped>
.main-title {
  font-size: 1.5rem;
  margin-bottom: 1.5rem;
}
</style>
